Package: grails.codegen.model

## [Groovy] Class ModelBuilder.ModelImpl

- grails.codegen.model.ModelBuilder.ModelImpl

- All Implemented Interfaces and Traits:
    Model

      @groovy.transform.CompileStatic
      private static class ModelBuilder.ModelImpl
      extends java.lang.Object
      implements Model

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String` | `className` |
    `private java.lang.String` | `fullName` |
    `private java.lang.String` | `lowerCaseName` |
    `private java.lang.String` | `packageName` |
    `private java.lang.String` | `packagePath` |
    `private java.lang.String` | `propertyName` |
    `private java.lang.String` | `simpleName` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `className`
    `java.lang.String` | `fullName`
    `java.lang.String` | `lowerCaseName`
    `java.lang.String` | `packageName`
    `java.lang.String` | `packagePath`
    `java.lang.String` | `propertyName`
    `java.lang.String` | `simpleName`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ModelImpl (java.lang.String className)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.util.Map<java.lang.String, java.lang.Object>` | `asMap()`
    `` | `java.lang.String` | `convention(java.lang.String conventionName)`
    `` | `java.lang.String` | `getModelName()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private final java.lang.String className

    - #### private final java.lang.String fullName

    - #### private final java.lang.String lowerCaseName

    - #### private final java.lang.String packageName

    - #### private final java.lang.String packagePath

    - #### private final java.lang.String propertyName

    - #### private final java.lang.String simpleName

  - ### Property Detail

    - #### final java.lang.String className

    - #### final java.lang.String fullName

    - #### final java.lang.String lowerCaseName

    - #### final java.lang.String packageName

    - #### final java.lang.String packagePath

    - #### final java.lang.String propertyName

    - #### final java.lang.String simpleName

  - ### Constructor Detail

    - #### ModelImpl(java.lang.String className)

  - ### Method Detail

    - #### @java.lang.Override java.util.Map<java.lang.String, java.lang.Object> asMap()

    - #### @java.lang.Override java.lang.String convention(java.lang.String conventionName)

    - #### @java.lang.Override java.lang.String getModelName()